org.apache.ignite.internal.processors.platform

## Interface PlatformTarget

All Known Implementing Classes:
  PlatformAbstractQueryCursor, PlatformAbstractTarget, PlatformAffinity, PlatformAtomicLong, PlatformCache, PlatformCacheIterator, PlatformClusterGroup, PlatformCompute, PlatformDataStreamer, PlatformEvents, PlatformFieldsQueryCursor, PlatformMessaging, PlatformQueryCursor, PlatformServices, PlatformTransactions

    public interface PlatformTarget

Interop target abstraction.

### Method Summary

Methods
`void` `inObjectStreamOutStream(int type, Object arg, long inMemPtr, long outMemPtr)` Operation accepting an object and a memory stream and returning result to another memory stream.
`long` `inStreamOutLong(int type, long memPtr)` Operation accepting memory stream and returning long value.
`Object` `inStreamOutObject(int type, long memPtr)` Operation accepting memory stream and returning object.
`void` `inStreamOutStream(int type, long inMemPtr, long outMemPtr)` Operation accepting one memory stream and returning result to another memory stream.
`void` `listenFuture(long futId, int typ)` Start listening for the future.
`void` `listenFutureForOperation(long futId, int typ, int opId)` Start listening for the future for specific operation type.
`long` `outLong(int type)` Operation returning long result.
`Object` `outObject(int type)` Operation returning object result.
`void` `outStream(int type, long memPtr)` Operation returning result to memory stream.

### Method Detail

#### inStreamOutLong

    long inStreamOutLong(int type,
                       long memPtr)
                         throws Exception

Operation accepting memory stream and returning long value.

Parameters:
  `type` - Operation type.
  `memPtr` - Memory pointer.
Returns:
  Result.
Throws:
  `Exception` - If case of failure.

#### inStreamOutObject

    Object inStreamOutObject(int type,
                           long memPtr)
                             throws Exception

Operation accepting memory stream and returning object.

Parameters:
  `type` - Operation type.
  `memPtr` - Memory pointer.
Returns:
  Result.
Throws:
  `Exception` - If case of failure.

#### inStreamOutStream

    void inStreamOutStream(int type,
                         long inMemPtr,
                         long outMemPtr)
                           throws Exception

Operation accepting one memory stream and returning result to another memory stream.

Parameters:
  `type` - Operation type.
  `inMemPtr` - Input memory pointer.
  `outMemPtr` - Output memory pointer.
Throws:
  `Exception` - In case of failure.

#### inObjectStreamOutStream

    void inObjectStreamOutStream(int type,
                               @Nullable
                               Object arg,
                               long inMemPtr,
                               long outMemPtr)
                                 throws Exception

Operation accepting an object and a memory stream and returning result to another memory stream.

Parameters:
  `type` - Operation type.
  `arg` - Argument (optional).
  `inMemPtr` - Input memory pointer.
  `outMemPtr` - Output memory pointer.
Throws:
  `Exception` - In case of failure.

#### outLong

    long outLong(int type)
                 throws Exception

Operation returning long result.

Parameters:
  `type` - Operation type.
Returns:
  Result.
Throws:
  `Exception` - In case of failure.

#### outStream

    void outStream(int type,
                 long memPtr)
                   throws Exception

Operation returning result to memory stream.

Parameters:
  `type` - Operation type.
  `memPtr` - Memory pointer.
Throws:
  `Exception` - In case of failure.

#### outObject

    Object outObject(int type)
                     throws Exception

Operation returning object result.

Parameters:
  `type` - Operation type.
Returns:
  Result.
Throws:
  `Exception` - If failed.

#### listenFuture

    void listenFuture(long futId,
                    int typ)
                      throws Exception

Start listening for the future.

Parameters:
  `futId` - Future ID.
  `typ` - Result type.
Throws:
  `IgniteCheckedException` - In case of failure.
  `Exception`

#### listenFutureForOperation

    void listenFutureForOperation(long futId,
                                int typ,
                                int opId)
                                  throws Exception

Start listening for the future for specific operation type.

Parameters:
  `futId` - Future ID.
  `typ` - Result type.
  `opId` - Operation ID required to pick correct result writer.
Throws:
  `IgniteCheckedException` - In case of failure.
  `Exception`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015